Subject: Re: bug#14707: automake 1.14 test hang for t/compile4.sh on Linux if "cl" executable is in path

From: Diab Jerius <[email-masked]>
Date: Mon, 24 Jun 2013 17:35:24 -0400

On Mon, 2013-06-24 at 23:22 +0200, Stefano Lattarini wrote:
> severity 14707 minor
> tags 14707 + moreinfo
> thanks
> 
> On 06/24/2013 04:45 PM, Diab Jerius wrote:
> > Hi,
> >
> Hi Diab, thanks for the report.

Stefano,

Thanks for the reply.

> 
> > On the Linux boxes I compile on, there's a /usr/local/bin/cl executable
> > (from the IRAF package).  Unfortunately, it seems that t/compile4.sh
> > interprets that as a Microsoft compiler.
> > 
> > The IRAF cl is an interactive program,
> >

> What happens if the program is run with its stdin redirected from /dev/null?
> Does it exit immediately, or does it still hang?

It exits, quite verbosely:

% cl < /dev/null
Warning: no login.cl found in login directory
      apropos     fitsutil    lists       phist       stecf       utilities
      color       gemini      mscred      plot        stlocal     xray
      ctio        gmisc       nmisc       proto       stsdas      
      dataio      images      noao        rvsao       system      
      dbms        language    obsolete    softools    tables      

ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> ERROR: use `logout' to log out of the CL
ecl> % 

> Also, does the program support a --version or --help option that might
> lead us to rule it out?

Indeed, it does:

% cl --version
    NOAO/IRAFNET PC-IRAF Revision 2.14.1 Mon Sep 15 10:12:05 MST 2008

> 
> > so compile4.sh invokes it and it hangs waiting for input.
> >
> (Which is quite annoying indeed).
> 
> > Is there perhaps a better way of checking for the Microsoft compiler, or
> > restricting these tests to Microsoft operating systems?
> >
> I'd rather try the workarounds I proposed above first.  If they don't
> work, we should go along with your suggestion.
> 
> Thank you,
>   Stefano

Thanks,

Diab